package com.qmth.boot.core.solar.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.ArrayList;
import java.util.List;

/**
 * 由授权文件激活的应用部署信息，额外附带了允许访问的机构信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AppLicense extends AppInfo {

    private static final long serialVersionUID = 449739508288160613L;

    private List<OrgInfo> orgs;

    public AppLicense() {
        super();
        this.orgs = new ArrayList<>();
    }

    public List<OrgInfo> getOrgs() {
        return orgs;
    }

    public void setOrgs(List<OrgInfo> orgs) {
        this.orgs = orgs;
    }
}
